<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>S11: Bootstrap Introduction and Simple Styles</title>

	<!-- CSS Bootstrap -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

	<!-- External CSS - placed after bootstrap dependecy -->

</head>
<body class="text-center bg-secondary">

	<!-- 
		m - margin
		p - padding
			- add t, b, l, r for direction
			mx - margin left and right
			my - margin top and bottom

		1 - .25rem
		2 - .5rem
		3 - 1rem
		4 - 1.5rem
		5 - 3rem

	 -->


	<!-- Start of Header -->
	
	<div>
		<h1>Bootstrap Introduction and Simple Styles</h1>
	</div>

	<div class="d-none d-lg-inline-block w-25 mt-4">
		<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">
	</div>

	<!-- End of Header -->


	<!-- Bootstrap Color Classes Table -->

	<div class="container-fluid">
		<h2>Bootstrap Color Classes</h2>

		<table class="table table-dark table-bordered">
			<thead>
				<tr>
					<th>Text</th>
					<th>Background</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
						<a href="#" class="text-primary">
							Primary Link
						</a>					
					</td>
					<td class="bg-primary text-white">
						Primary
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-secondary">
							Secondary Link
						</a>					
					</td>
					<td class="bg-secondary text-white">
						Secondary
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-success">
							Success Link
						</a>					
					</td>
					<td class="bg-success text-white">
						Success
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-danger">
							Danger Link
						</a>					
					</td>
					<td class="bg-danger text-white">
						Danger
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-warning">
							Warning Link
						</a>					
					</td>
					<td class="bg-warning text-white">
						Warning
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-info">
							Info Link
						</a>					
					</td>
					<td class="bg-info text-white">
						Info
					</td>
				</tr>				
				<tr>
					<td>
						<a href="#" class="text-light">
							Light Link
						</a>					
					</td>
					<td class="bg-light text-dark">
						Light
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-light">
							Dark Link
						</a>					
					</td>
					<td class="bg-dark text-white">
						Dark
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-muted">
							Muted Link
						</a>					
					</td>
					<td class="bg-muted text-white">
						Muted
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-white">
							White Link
						</a>					
					</td>
					<td class="bg-white text-dark">
						White
					</td>
				</tr>
			</tbody>
		</table>		
	</div>
	<!-- End of Bootstrap Color Classes Table -->

	<!-- Start of Bootstrap text Alignment Classes Table  -->
	<h2>Bootstrap Text Alignment Classes</h2>

	<table class="table table-dark text-light table-bordered">
		<thead>
			<tr>
				<th>Alignment</th>				
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="text-left">Left</td>
			</tr>
			<tr>
				<td class="text-center">Center</td>				
			</tr>
			<tr>
				<td class="text-right">Right</td>
			</tr>
			<tr>
				<!-- Screen size greater than or equal to 576px -->
				<td class="text-sm-center">Small Center</td>
			</tr>
			<tr>
				<!-- Screen size is greater than or equal to 786px -->
				<td class="text-right text-md-left">Medium Left</td>
			</tr>
			<tr>
				<!-- Screen size is greater than or equal to 992px -->
				<td class="text-lg-right">Large Right</td>
			</tr>
			<tr>
				<!-- Screen size is greater than or equal to 1200px -->
				<td class="text-xl-center">Extra Large Center</td>
			</tr>
		</tbody>
	</table>


	<!-- End of Bootstrap text Alignment Classes Table  -->



	<!-- JS Bundle/Dependency -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

</body>
</html>
